input.ng-touched.ng-valid {
  border: 2px solid green;
}

input.ng-touched.ng-invalid {
  border: 2px solid red;
}
textarea.ng-touched.ng-valid {
  border: 2px solid green;
}

textarea.ng-touched.ng-invalid {
  border: 2px solid red;
}
